Package com.databricks.jdbc.client.impl.thrift.generated

## Class TCLIService.RenewDelegationToken_args

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TCLIService.RenewDelegationToken_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCLIService.RenewDelegationToken_args>`, `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  TCLIService

    public static class TCLIService.RenewDelegationToken_args
    extends Object
    implements org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>, Serializable, Cloneable, Comparable<TCLIService.RenewDelegationToken_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCLIService.RenewDelegationToken_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TCLIService.RenewDelegationToken_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TRenewDelegationTokenReq` `req`

### Constructor Summary

Constructors
`RenewDelegationToken_args()`
`RenewDelegationToken_args​(TCLIService.RenewDelegationToken_args other)` Performs a deep copy on other.
`RenewDelegationToken_args​(TRenewDelegationTokenReq req)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCLIService.RenewDelegationToken_args other)`
`TCLIService.RenewDelegationToken_args` `deepCopy()`
`boolean` `equals​(TCLIService.RenewDelegationToken_args that)`
`boolean` `equals​(Object that)`
`TCLIService.RenewDelegationToken_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TCLIService.RenewDelegationToken_args._Fields field)`
`TRenewDelegationTokenReq` `getReq()`
`int` `hashCode()`
`boolean` `isSet​(TCLIService.RenewDelegationToken_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetReq()` Returns true if field req is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TCLIService.RenewDelegationToken_args._Fields field, Object value)`
`TCLIService.RenewDelegationToken_args` `setReq​(TRenewDelegationTokenReq req)`
`void` `setReqIsSet​(boolean value)`
`String` `toString()`
`void` `unsetReq()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### req

    public TRenewDelegationTokenReq req

#### metaDataMap

    public static final Map<TCLIService.RenewDelegationToken_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### RenewDelegationToken_args

    public RenewDelegationToken_args()

#### RenewDelegationToken_args

    public RenewDelegationToken_args​(TRenewDelegationTokenReq req)

#### RenewDelegationToken_args

    public RenewDelegationToken_args​(TCLIService.RenewDelegationToken_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCLIService.RenewDelegationToken_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### getReq

    public TRenewDelegationTokenReq getReq()

#### setReq

    public TCLIService.RenewDelegationToken_args setReq​(TRenewDelegationTokenReq req)

#### unsetReq

    public void unsetReq()

#### isSetReq

    public boolean isSetReq()

Returns true if field req is set (has been assigned a value) and false otherwise

#### setReqIsSet

    public void setReqIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCLIService.RenewDelegationToken_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCLIService.RenewDelegationToken_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### isSet

    public boolean isSet​(TCLIService.RenewDelegationToken_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCLIService.RenewDelegationToken_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCLIService.RenewDelegationToken_args other)

Specified by:
  `compareTo` in interface `Comparable<TCLIService.RenewDelegationToken_args>`

#### fieldForId

    public TCLIService.RenewDelegationToken_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCLIService.RenewDelegationToken_args,​TCLIService.RenewDelegationToken_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`